microsoft-foundry.rest.security.o-auth2-auth
Agent Invocations
Get an agent invocation
GET
/agents/{agent_name}/endpoint/protocols/invocations/{invocation_id}
Retrieves the invocation with the given ID. Returns 404 if the agent does not support this operation or if the invocation ID is not found.
パス パラメーター
agent_name
string
必須
The name of the agent.
invocation_id
string
必須
The unique identifier of the invocation.
ヘッダー パラメーター
x-ms-user-identity
string
Opaque per-user identity string used to scope endpoint-scoped data to a specific end user. The caller must have the agents/endpoints/UserIdentityImpersonation/action RBAC permission.
クエリ パラメーター
api-version
string
必須
The API version to use for this operation.
応答
The request has succeeded.
ヘッダー
x-agent-session-id
string
必須
Session ID for this invocation. Returns the session ID associated with the invocation.
本文
Content-Type: */*
要求
GET /agents/{agent_name}/endpoint/protocols/invocations/{invocation_id} HTTP/1.1
回答
Status: 200
Content-Type: */*
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json